/*
 * InstrFuncType.java
 *
 *
 */

package Helper;

/** These are used by the feed-back mechanism.<p>
 *  During construction of the pipeline, each Q wrapper is told which
 *   kinds of instructions to feedback, and which queues to feed-back
 *   to.<p>
 *  One type exists for each base "kind" of instr one may wish to
 *   feed-back.  These are not one-to-one with SESC instr types.<p>
 *  InstrTypeSESC is one-to-one with the SESC instr types.<p>
 *  InstrType2 gives sub-types of this type..<p>
 *
 * @author seanhalle@yahoo.com
 */
public enum InstrFuncType
 { 
   regular,
   branch,
   load,
   store,
   all;
 }
